SETPROCTITLE(3)

NAME
setproctitle - set process title

SYNOPSIS
#include <stdlib.h>
void
setproctitle(const char *fmt, ...);

DESCRIPTION
The setproctitle() function sets the invoking process's title. The process title is set to the last component of the program name, followed by a colon and the formatted string specified by fmt. If fmt is NULL, the colon and formatted string are omitted. The length of a process title is limited to 2048 bytes.

EXAMPLES
Set the process title to the program name, with no further information:

    setproctitle(NULL);

Set the process title to the program name, an informational string, and the process id:

    setproctitle("foo! (%d)", getpid());

SEE ALSO
ps(1), w(1), printf(3)

HISTORY
The setproctitle() function first appeared in NetBSD 0.9a.